%define modname fam
%define dirname %{modname}
%define soname %{modname}.so
%define inifile 20_%{modname}.ini

Summary:	File Alteration Monitor Functions
Name:		php-%{modname}
Version:	5.0.1
Release:	%mkrel 5.1
Group:		Development/PHP
License:	PHP License
URL:		http://pecl.php.net/package/fam/
Source0:	http://pecl.php.net/get/fam-%{version}.tgz
Patch0:		fam-5.0.1-php-5.4.patch
BuildRequires:	php-devel >= 5.2.0
BuildRequires:	fam-devel

%description
FAM monitors files and directories, notifying interested applications of
changes. A PHP script may specify a list of files for FAM to monitor using
the functions provided by this extension. The FAM process is started when the
first connection from any application to it is opened. It exits after all
connections to it have been closed. This PHP module adds support for FAM
(File Alteration Monitor). FAM monitors files and directories, notifying
interested applications of changes.

%prep

%setup -q -n fam-%{version}
%patch0 -p0
[ "../package.xml" != "/" ] && mv -f ../package.xml .

# fix version
perl -pi -e "s|^#define PHP_FAM_VERSION .*|#define PHP_FAM_VERSION \"%{version}\"|g" php_fam.h

%build
%serverbuild

phpize
%configure2_5x --with-libdir=%{_lib} \
    --with-%{modname}

%make
mv modules/*.so .

%install
install -d %{buildroot}%{_libdir}/php/extensions
install -d %{buildroot}%{_sysconfdir}/php.d

install -m755 %{soname} %{buildroot}%{_libdir}/php/extensions/

cat > %{buildroot}%{_sysconfdir}/php.d/%{inifile} << EOF
extension = %{soname}
EOF

%files 
%doc CREDITS package.xml
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/php.d/%{inifile}
%attr(0755,root,root) %{_libdir}/php/extensions/%{soname}


%changelog
* Mon Dec 12 2016 tex - 5.0.1-5.1pclos2017
- rebuild

* Mon Dec 12 2016 bb <bb> 5.0.1-5pclos2017
-rebuild

* Sun Mar 13 2015 bb <bb> 5.0.1-4pclos2016
- rebuild
